Bug 131156 - sensors-detect unable to find i2c modules
sensors-detect unable to find i2c modules
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: lm_sensors (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Depends On:
  Show dependency treegraph
Reported: 2004-08-27 19:32 EDT by George Toft
Modified: 2015-03-04 20:14 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-10-21 08:43:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description George Toft 2004-08-27 19:32:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET 
CLR 1.1.4322)

Description of problem:
i2c modules missing from distribution, rendering lm_sensors non-

Running sensors-detect results in numerous errors similar to:

Load `i2c-elektor' (say NO if built into your kernel)? (YES/no):
modprobe: Can't locate module i2c-elektor
Loading failed (Illegal seek)... skipping.

Finally, the program ends with:
Couldn't open /proc/bus/i2c?!? at /usr/sbin/sensors-detect line 2970, 
<STDIN> line 7.

sensors-detect works fine on Fedora Core 3 Test 1.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.  sensors-detect
2.  Answer yes to all questions

Actual Results:  See above

Expected Results:  Modprobe lines and an init script should be 

Additional info:
Comment 1 Robert Scheck 2004-08-28 09:11:08 EDT
George, did you install the kernel-unsupported package? IIRC, the 
-unsupported package provides i2c kernel modules. Maybe you've got 
to reboot the system, maybe "depmod -a" recognizes the new modules 
after installing the -unsupported rpm.
Comment 2 Andreas Thienemann 2004-10-02 18:13:39 EDT
Installing kernel-smp-unsupported or kernel-unsupported respectivly
makes lm_sensors work.

I suggest closing this bug with NOTABUG.
Comment 3 Phil Knirsch 2004-10-20 11:29:03 EDT
Closing bug.

Read ya, Phil
Comment 4 George Toft 2004-10-21 08:23:48 EDT
I feel installing an unsupported kernel in an Enterprise environment
is not a solution to this problem.  Is this resolved in the updates
for RHEL3?  Please advise.
Comment 5 Phil Knirsch 2004-10-21 08:43:51 EDT
The lm_sensors software and the related drivers are not supported in
the SLA, therefore the drivers of the lm_sensors package are shipped
in the kernel-unsupported package.

In order for you to use the lm_sensors kernel drivers you need to
install that kernel package.

Read ya, Phil
Comment 6 Timo Ofzo 2004-10-23 06:22:40 EDT
This does not work for me!

I installed the unsupported kernel (x86_64):

# rpm -q kernel-smp-unsupported
# modprobe i2c-proc
modprobe: Can't locate module i2c-proc
# rpm -ql kernel-smp-unsupported |grep i2c

Please tell me where to find the i2c modules.

Note You need to log in before you can comment on or make changes to this bug.